/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.exampleproject.service;

import java.util.List;

import com.jeeplus.modules.exampleexpend.entity.ExampleExpend;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.exampleproject.entity.ExampleProject;
import com.jeeplus.modules.exampleproject.dao.ExampleProjectDao;

/**
 * 主要工程量指标Service
 * @author ssrh
 * @version 2018-08-29
 */
@Service
@Transactional(readOnly = true)
public class ExampleProjectService extends CrudService<ExampleProjectDao, ExampleProject> {
	@Autowired
	private ExampleProjectDao exampleProjectDao;

	public ExampleProject get(String id) {
		return super.get(id);
	}

	public List<ExampleProject> getCount(String companyId, String areaId, String dictId,String indexId) {
		return dao.getCount(companyId,areaId,dictId,indexId);
	}

	public List<ExampleProject> findList(ExampleProject exampleProject) {
		return super.findList(exampleProject);
	}
	
	public Page<ExampleProject> findPage(Page<ExampleProject> page, ExampleProject exampleProject) {
		return super.findPage(page, exampleProject);
	}
	
	@Transactional(readOnly = false)
	public void save(ExampleProject exampleProject) {
		super.save(exampleProject);
	}
	
	@Transactional(readOnly = false)
	public void delete(ExampleProject exampleProject) {
		super.delete(exampleProject);
	}

	@Transactional(readOnly = false)
	public void delteByIndexId(String eId,String indexId) {
		exampleProjectDao.delteByIndexId(eId,indexId);
	}
	public ExampleProject findProject(ExampleProject exampleProject) {
		return dao.findProject(exampleProject);
	}
	
}